#
# Trust Design LLC : SECS/HSMS Communication library
#
# (c) Copyright Trust Design LLC.  2010-2012.  All rights reserved.
#


#
# Targets
#

H0=		SubFunctions.h

P0=		SimpleIo
P1=		BasicIo
P2=		CallbackIo
PA=		CSIo
PB=		VBIo


CFLAGS= 	-I.. -nologo -MT -W3 -D_CRT_SECURE_NO_WARNINGS -DWINDOWS
LFLAGS= 	-link -libpath:.. TDS.lib

CSFLAGS= 	-nologo -unsafe
LSFLAGS= 	-reference:../TDCSS.dll

CBFLAGS= 	-nologo
LBFLAGS= 	-reference:../TDVBS.dll


#
# All product
#

all:		$(P0).exe	\
		$(P1).exe	\
		$(P2).exe	\
		$(PA).exe	\
		$(PB).exe

clean:
		-del *.exe
		-del *.obj


#
# Relations
#

$(P0).exe:	$(P0).c
		cl -Fe$(P0).exe $(P0).c $(CFLAGS) $(LFLAGS)
		-del  $(P0).obj

$(P1).exe:	$(P1).c $(H0)
		cl -Fe$(P1).exe $(P1).c $(CFLAGS) $(LFLAGS)
		-del  $(P1).obj

$(P2).exe:	$(P2).c $(H0)
		cl -Fe$(P2).exe $(P2).c $(CFLAGS) $(LFLAGS)
		-del  $(P2).obj


$(PA).exe:	$(PA).cs
		csc -out:$(PA).exe $(PA).cs $(CSFLAGS) $(LSFLAGS)

$(PB).exe:	$(PB).vb
		vbc -out:$(PB).exe $(PB).vb $(CBFLAGS) $(LBFLAGS)
